Jump to content

PMheart

Coders
  • Content Count

    1,013
  • Joined

  • Last visited

  • Days Won

    26

PMheart last won the day on June 4 2019

PMheart had the most liked content!

About PMheart

  • Rank
    InsanelyMac Legend

Recent Profile Visitors

The recent visitors block is disabled and is not being shown to other users.

  1. OC loads kexts without those patches I posted for Clover. This means that OC should inject kexts just fine... If it does not, I probably have no idea then. Sorry...
  2. Hello, I am sorry that I might be unable to help, if OpenCore fails to load kexts... PMheart
  3. PMheart

    [Pre-Release] macOS Catalina 10.15.1

    Hi, Sorry, I am afraid not. Apple has restricted the writing permission as of 10.15. `sudo mount -uw /` stopped working starting at certain beta as well... Ref: https://developer.apple.com/videos/play/wwdc2019/710/ PMheart By the way, just a quick tip, I got Safari Preferences and Messages hang after downgrading to 10.15 (19A583) from 10.15.1 b1 (19B68f) on my real MacBook9,1. For this good please do not go back and currently I do not see any solutions other than upgrading to the upcoming b2. Furthermore, it is impossible to update to 10.15.1 b1 from 10.15 supplemental update (19A602).
  4. PMheart

    macOS Catalina 10.15 is out !!!

    Same error here. I ended up with upgrading to 19A583 and manually downloading the archive from developer.apple.com/download/more...
  5. PMheart

    OpenCore Discussion

    Sorry for the late reply! Finally I got the point, thanks a lot! Oh, 0 vs 9 is not of vital significance as it stands for stepping, which is rather ignored by macOS.
  6. PMheart

    OpenCore Discussion

    Sorry for my stupidness. I still didn't get it. Might you want to make this patch a quirk or?
  7. PMheart

    OpenCore Discussion

    Hello, Sorry, I didn't quite catch that. Could you please point out the changes that I am supposed to handle? Thanks!
  8. PMheart

    [pre-release] macOS Catalina

    Interesting. 8u211 never works for me. 8u221, released on 16 Jul 2019, triggers an error that reads "XPC connection error" on either installation or uninstallation. Still erroneous anyway...
  9. PMheart

    Clover General discussion

    function abort() { echo "ERROR: ${1}" 1>&2 exit 1 } # # Get the latest release tag on GitHub. # # @param author Name of user/organization on GitHub # @param repo Repository belonging to the author # # @return latest tag of author/repo # function getGitHubLatestReleaseTag() { local author="$1" local repo="$2" if [ -z "${author}" ] || [ -z "${repo}" ]; then echo 'Author or repository is null!' 1>&2 exit 1 fi local url="https://api.github.com/repos/${author}/${repo}/releases" local tag="$(curl --silent "${url}" | grep 'tag_name' | head -n 1 | awk -F ":" '{print $2}' | tr -d '"' | tr -d ',' | tr -d ' ')" if [ -z "${tag}" ]; then abort "WARNING: Failed to retrieve latest tag of release from ${author}/${repo}." 1>&2 fi echo "${tag}" } # # Download a file from release page of author/repo. # # @param author Name of user/organization on GitHub # @param repo Repository belonging to the given author # @param tag Tag to search for, or null for latest # @param fileName Asset of the tag # function downloadGitHubRelease() { local author="$1" local repo="$2" local tag="$3" local fileName="$4" if [ -z "${author}" ] || [ -z "${repo}" ] || [ -z "${fileName}" ]; then abort 'Author/repository/file name is null!' fi if [ -z "${tag}" ]; then tag="$(getGitHubLatestReleaseTag "${author}" "${repo}")" fi local url="https://github.com/${author}/${repo}/releases/download/${tag}/${fileName}" curl --silent -L "${url}" -o "${fileName}" || abort "Failed to download ${fileName}!" } Tiny functions extracted from one of my scripts for download from GitHub release page. For this specific case, let's abstract it based on tag and fileName: - tag is Rxx, which can be retrieved by getGitHubLatestReleaseTag() - fileName, generally RELEASE is grabbed, then it would be "AptioFix-${tag}-RELEASE.zip"
  10. PMheart

    [pre-release] macOS Catalina

    Is that a fresh installation or upgrade from Mojave?
  11. PMheart

    [pre-release] macOS Catalina

    I don't have Java installed (i.e no panel in System Preferences for sure) and was trying to install it, yet what I got is just the infinite installation as mentioned by @URBANsUNITED. Anyway, let's wait for the next update.
  12. PMheart

    [pre-release] macOS Catalina

    Reproduced here, macOS 10.15 b3 (19A501i) Unfortunately this does not work for me.
  13. PMheart

    OpenCore Discussion

    That's totally another story I guess. Currently we are having a tremendous number of new features to implement, which makes us too exhausted to investigate a specific platform. I suppose it would be sensible for users tending to build a new hack to avoid it. As for theming, well, I guess one of the biggest reasons to use OpenCore is to enjoy the fun macOS brings us, instead of themes one might only see for several seconds, which are too fleeting to be enjoyed. Either way, we wish somebody who were willing to and capable to participate in the problem, and finally we would have a solution. We are sorry for lack of time to do it compared to other TODOs that may appear more worthwhile. Best Regards, PMheart
  14. PMheart

    OpenCore Discussion

    Hmm, that looks weird as you seem to be applying the patch correctly... Better to ask developers instead.
  15. PMheart

    OpenCore Discussion

    Maybe you applied it as a "kernel patch"? I don't know much either to be honest, it's not me who wrote this code. The reason why you managed to patch it anyway is that a "kernel patch" applies to the whole kernel cache, which contains your AMD9500Controller. CORRECT ME IF WRONG!
×